"""
FreeSlot project
Blackbox communication library
"""

class SerialCommunicator():
    def __init__(self, device, speed):
        self.device = device
        self.speed = speed
        self.port = None
        self.connected = False

    def connect(self):
        if self.connected:
            return True

    def disconnect(self):
        return True

    def write(self):
        return True

    def read(self):
        return True

class Blackbox():
    def __init__(self):
        self.com = None
        self.info = None

    def connect(self, device="/dev/ttyUSB0", speed=115200):
        if self.com == None:
            self.com = SerialCommunicator(device, speed)
        self.com.connect()
        self.info = self.readinfo()

    def disconnect():
        self.com.disconnect()

    def readinfo():
        """
        Read complete Information from connected box
        """
        return None